## org.eclipse.datatools.modelbase.sql.accesscontrol
Interface AuthorizationIdentifier

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  Group, Role, SybaseASABaseGroup, SybaseASABaseUser, SybaseASEGroup, SybaseASERole, SybaseASEUser, SybaseAuthorizationIdentifier, User

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.accesscontrol.impl.AuthorizationIdentifierImpl, org.eclipse.datatools.modelbase.sql.accesscontrol.impl.GroupImpl, org.eclipse.datatools.modelbase.sql.accesscontrol.impl.RoleImpl, SybaseASABaseGroupImpl, SybaseASABaseUserImpl, SybaseASACatalogBaseGroup, SybaseASACatalogBaseUser, SybaseASECatalogGroup, SybaseASECatalogLocalRole, SybaseASECatalogRole, SybaseASECatalogUser, SybaseASEGroupImpl, SybaseASERoleImpl, SybaseASEUserImpl, SybaseAuthorizationIdentifierImpl, org.eclipse.datatools.modelbase.sql.accesscontrol.impl.UserImpl

    public interface AuthorizationIdentifier

extends SQLObject

A representation of the model object 'Authorization Identifier'. Reference: 5WD-02-Foundation-2002-12 4.34.1 Authorization Identifiers

The following features are supported:

- `Owned Schema`
- `Database`
- `Received Role Authorization`
- `Granted Role Authorization`
- `Granted Privilege`
- `Received Privilege`

See Also:
  `SQLAccessControlPackage.getAuthorizationIdentifier()`

Method Summary
`Database` `getDatabase()` Returns the value of the 'Database' reference.
`org.eclipse.emf.common.util.EList` `getGrantedPrivilege()` Returns the value of the 'Granted Privilege' reference list.
`org.eclipse.emf.common.util.EList` `getGrantedRoleAuthorization()` Returns the value of the 'Granted Role Authorization' reference list.
`org.eclipse.emf.common.util.EList` `getOwnedSchema()` Returns the value of the 'Owned Schema' reference list.
`org.eclipse.emf.common.util.EList` `getReceivedPrivilege()` Returns the value of the 'Received Privilege' containment reference list.
`org.eclipse.emf.common.util.EList` `getReceivedRoleAuthorization()` Returns the value of the 'Received Role Authorization' reference list.
`void` `setDatabase(Database value)` Sets the value of the '`Database`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOwnedSchema

    org.eclipse.emf.common.util.EList getOwnedSchema()

  Returns the value of the 'Owned Schema' reference list. The list contents are of type `Schema`. It is bidirectional and its opposite is '`Owner`'.

  If the meaning of the 'Owned Schema' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Owned Schema' reference list.
  See Also:
    `SQLAccessControlPackage.getAuthorizationIdentifier_OwnedSchema()`, `Schema.getOwner()`

### getDatabase

    Database getDatabase()

  Returns the value of the 'Database' reference. It is bidirectional and its opposite is '`Authorization Ids`'.

  If the meaning of the 'Database' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Database' reference.
  See Also:
    `setDatabase(Database)`, `SQLAccessControlPackage.getAuthorizationIdentifier_Database()`, `Database.getAuthorizationIds()`

### setDatabase

    void setDatabase(Database value)

  Sets the value of the '`Database`' reference.

  Parameters:
    `value` - the new value of the 'Database' reference.
  See Also:
    `getDatabase()`

### getReceivedRoleAuthorization

    org.eclipse.emf.common.util.EList getReceivedRoleAuthorization()

  Returns the value of the 'Received Role Authorization' reference list. The list contents are of type `RoleAuthorization`. It is bidirectional and its opposite is '`Grantee`'.

  If the meaning of the 'Received Role Authorization' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Received Role Authorization' reference list.
  See Also:
    `SQLAccessControlPackage.getAuthorizationIdentifier_ReceivedRoleAuthorization()`, `RoleAuthorization.getGrantee()`

### getGrantedRoleAuthorization

    org.eclipse.emf.common.util.EList getGrantedRoleAuthorization()

  Returns the value of the 'Granted Role Authorization' reference list. The list contents are of type `RoleAuthorization`. It is bidirectional and its opposite is '`Grantor`'.

  If the meaning of the 'Granted Role Authorization' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Granted Role Authorization' reference list.
  See Also:
    `SQLAccessControlPackage.getAuthorizationIdentifier_GrantedRoleAuthorization()`, `RoleAuthorization.getGrantor()`

### getGrantedPrivilege

    org.eclipse.emf.common.util.EList getGrantedPrivilege()

  Returns the value of the 'Granted Privilege' reference list. The list contents are of type `Privilege`. It is bidirectional and its opposite is '`Grantor`'.

  If the meaning of the 'Granted Privilege' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Granted Privilege' reference list.
  See Also:
    `SQLAccessControlPackage.getAuthorizationIdentifier_GrantedPrivilege()`, `Privilege.getGrantor()`

### getReceivedPrivilege

    org.eclipse.emf.common.util.EList getReceivedPrivilege()

  Returns the value of the 'Received Privilege' containment reference list. The list contents are of type `Privilege`. It is bidirectional and its opposite is '`Grantee`'.

  If the meaning of the 'Received Privilege' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Received Privilege' containment reference list.
  See Also:
    `SQLAccessControlPackage.getAuthorizationIdentifier_ReceivedPrivilege()`, `Privilege.getGrantee()`